#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 wai-extra
version:              3.1.14
visibility:           public
id:                   wai-extra-3.1.14-GkhTFpPmDH48Q1S0E6QWSc
key:                  wai-extra-3.1.14-GkhTFpPmDH48Q1S0E6QWSc
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * Combine Headers

    Combine duplicate headers into one.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * Health check endpoint

    Add an empty health check endpoint.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Select

    Dynamically choose between Middlewares.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  03eb616e070dda0d77bb46eaa703a5e9
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.CombineHeaders
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip
    Network.Wai.Middleware.HealthCheckEndpoint
    Network.Wai.Middleware.HttpAuth Network.Wai.Middleware.Jsonp
    Network.Wai.Middleware.Local Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.Select Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:
    Network.Wai.Middleware.RequestLogger.Internal Network.Wai.Util

import-dirs:          /usr/lib/ghc-9.8.2/site-local/wai-extra-3.1.14
library-dirs:         /usr/lib/ghc-9.8.2/site-local/wai-extra-3.1.14
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/wai-extra-3.1.14
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/wai-extra-3.1.14
hs-libraries:         HSwai-extra-3.1.14-GkhTFpPmDH48Q1S0E6QWSc
depends:
    HUnit-1.6.2.0-3dfbPoMguAzLu48tWr9I5M
    aeson-2.2.1.0-4pa7z8wb2ac2tkW2gC8FY5
    ansi-terminal-1.1-DKUISlx7nIu1271NIWwStS base-4.19.1.0-inplace
    base64-bytestring-1.2.1.0-LdP8BMFQNsALv6oL4a4Ppp
    bytestring-0.12.1.0-inplace call-stack-0.4.0-EaGRGPXLIk3JlbK3iXgSyG
    case-insensitive-1.2.1.0-Jg2zYF9HZMDGZeZxymEI8d
    containers-0.6.8-inplace cookie-0.5.0-At5qzkgRdoH6Orbg3BaGBx
    data-default-class-0.1.2.0-HTZSp1FIiwAFU4Ci8TPlFy
    directory-1.3.8.1-inplace fast-logger-3.2.2-8lhoZSAZjlJ4XH0QUJ4XYe
    http-types-0.12.4-2SFJ3KLUooQ7yK2zJjjEEI
    iproute-1.7.12-CmNcjuDsb6CC0J10XdTSh4
    network-3.1.5.0-B01CCCWWHQOAL2QMfHujv6
    resourcet-1.3.0-2sq0VGBne9hLaDM06eLgwL
    streaming-commons-0.2.2.6-sJMpINkqD66eWjFAFZMUH text-2.1.1-inplace
    time-1.12.2-inplace transformers-0.6.1.0-inplace
    unix-2.8.4.0-inplace vault-0.3.1.5-A168fjuAj5gGGf7NhYAtJ4
    wai-3.2.4-BxVYyWVeFJKJAdkPOp5Fdq
    wai-logger-2.4.0-1b0Fg4wBK9iK5cRX9CENKc
    warp-3.4.0-Kg8W5G2P52BD8t3ZoYJYvW
    word8-0.1.3-HgaCD50yYPiDA850zKZmtl

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/wai-extra-3.1.14/html/wai-extra.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/wai-extra-3.1.14/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

